import { resolveComponent as r, openBlock as d, createElementBlock as u, createElementVNode as i, withDirectives as v, vModelCheckbox as x, toDisplayString as h, createVNode as _, withCtx as a, normalizeProps as k, guardReactiveProps as C, createTextVNode as f, createCommentVNode as q } from "vue";
const w = (t, e) => {
  const n = t.__vccOpts || t;
  for (const [l, s] of e)
    n[l] = s;
  return n;
}, V = {
  name: "QuestionCompactCheckbox",
  data() {
    return {
      checkVal: this.question.answer
    };
  },
  props: {
    question: Object
  },
  methods: {
    getId(t) {
      return this.question.name + "_" + t;
    },
    onAnswerChanged() {
      this.$emit("answerChanged", this.question.name, this.checkVal);
    }
  }
}, b = { class: "pa-0 ma-0" }, y = { class: "MultiInputRow" }, N = ["id"], S = { class: "question-hint" }, A = {
  key: 0,
  class: "question-hint"
};
function B(t, e, n, l, s, c) {
  const m = r("v-icon"), g = r("v-tooltip");
  return d(), u("div", null, [
    i("div", b, [
      i("div", y, [
        v(i("input", {
          type: "checkbox",
          name: "",
          id: c.getId("input"),
          onChange: e[0] || (e[0] = (...o) => c.onAnswerChanged && c.onAnswerChanged(...o)),
          "onUpdate:modelValue": e[1] || (e[1] = (o) => s.checkVal = o)
        }, null, 40, N), [
          [x, s.checkVal]
        ]),
        i("span", S, h(n.question.title), 1),
        n.question.hint ? (d(), u("span", A, [
          _(g, {
            location: "top",
            "max-width": "350px"
          }, {
            activator: a(({ props: o }) => [
              _(m, k(C(o)), {
                default: a(() => [
                  f("mdi-help-circle-outline")
                ]),
                _: 2
              }, 1040)
            ]),
            default: a(() => [
              i("span", null, h(n.question.hint), 1)
            ]),
            _: 1
          })
        ])) : q("", !0)
      ])
    ])
  ]);
}
const p = /* @__PURE__ */ w(V, [["render", B]]), D = {
  install(t, e) {
    t.component("SingleCheckbox", p), e && (e.plugin = {
      questionType: "single-checkbox",
      component: p
    });
  }
};
export {
  D as default
};
//# sourceMappingURL=singleCheckboxPlugin.es.js.map
